Subject: Re: Fix Firmware class name collision

From: Timur Tabi <[email-masked]>
Date: Tue, 04 Dec 2007 19:28:00 -0600

Scott Wood wrote:

> The physical address certainly is useful when you have more than one 
> device of the same name.

What I meant was that the physical address isn't helpful by itself.

> So then you'd get "firmware-ucc.e01024".  What if there's another ucc at 
>  e0102480?  For devices with longer names, you'd have even less 
> precision in the address.

Maybe we need to consider a more sophisticated algorithm, one that guarantees 
that the device name in its entirety is preserved?  Either that, or replace 
the physical address with something shorter, like the offset to the root node 
only?  That way, ucc.e0102400 because just ucc.2400.

-- 
Timur Tabi
Linux Kernel Developer @ Freescale